Subject: bug#24640: Crashes in 25.1

From: Reuben Thomas <[email-masked]>
Date: Tue, 11 Oct 2016 16:41:17 +0100

On 11 October 2016 at 15:53, Eli Zaretskii <[email-masked]> wrote:

>
> Is it possible to disable this loading of undo-tree history?  If so,
> can you disable it and see if Emacs no longer crashes?  If the crashes
> stop when undo-tree history is not loaded, we will have to look
> closely at what that loading does, because the problem is probably
> there.  The internals of undo changed in Emacs 25.
>

​Yes, the crashes appear to stop when I comment out (global-undo-tree-mode)
in vars.el.

Yes, I know, but that requires me to have an X server here, which I
> don't have, and prefer not to set up.  Is there some way of telling
> Emacs to open its display on your local terminal instead?
>

​$ Xvfb :2 # or some other number that doesn't cause an error
$ emacs -d :2​

-- 
http://rrt.sc3d.org